MB_LEN_MAX(3)

NAME
MB_LEN_MAX - maximum multibyte length of a character across all locales

SYNOPSIS
#include <limits.h>

DESCRIPTION
The MB_LEN_MAX macro is the upper bound for the number of bytes needed to represent a single wide character, across all locales.

RETURN VALUE
A constant integer greater than zero.

CONFORMING TO
C99, POSIX.1-2001.

NOTES
The entities MB_LEN_MAX and sizeof(wchar_t) are totally unrelated. In glibc, MB_LEN_MAX is typically 6 while sizeof(wchar_t) is 4.

SEE ALSO
MB_CUR_MAX(3)

COLOPHON
This page is part of release 3.17 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.